$header-font-size: .75rem;
$header-menu-border-color: rgb(87, 96, 112);
$header-top-height: 54px;
.header {
  position: fixed;
  left: 0px;
  top: 0px;
  width: 100%;
  z-index: 5;
  max-height: 54px;
  &_overlay {
    z-index: 7;
    .header_bottom {
      display: none;
    }
  }
  &_top {
    height: $header-top-height;
    .page_body:not(.page_body-gradient) {
      padding-top: 30px;
      padding-bottom: 0px;
      flex: 1;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      .header_menu {
        height: 100%;
        &-lang {
          padding-bottom: $paddingDefault;
        }
      }
    }
    &-inner {
      @include Container;
      padding: $paddingMini;
      height: inherit;
      &-wrapper {
        height: inherit;
        background-color: $darkCommonColor;
        z-index: 5;
        position: relative;
      }
    }
  }
  &_bottom {
    transition: $transitionTime transform ease-in;
    transition-delay: $transitionTime;
    will-change: transition;
    &-online {
      font-size: .875rem;
      min-width: 60px;
      display: flex;
      align-items: center;
      padding: 0px $paddingMini;
      &-count {
        padding-left: $paddingMini;
        color: #00bac3;
        overflow: hidden;
        text-overflow: ellipsis;
      }
    }
    &-hide {
      transform: translateY(-120%);
      .header_bottom-body {
        box-shadow: 0px 0px 0px transparent;
      }
    }
    &-col {
      flex: 5;
      &:first-of-type {
        flex: 4;
      }
    }
    &-body {
      @include CardFooter;
      background-color: $primaryColor; //TEMP COLOR
      /*      max-width: 300px;
            $step: 10;
            @for $i from 1 through 6 {
              @media screen and (min-width: $containerWidth+($i*$step)) {
                max-width: $containerWidth+$i*$step;
              }
            }
            margin: auto;*/
      margin: auto;
      box-shadow: 0px 5px 30px -2px rgb(1, 1, 1);
      transition: $transitionTime box-shadow ease-in;
      transition-delay: $transitionTime;
      will-change: box-shadow;
      &-wrapper {
        margin: auto;
        padding: 0px $paddingMini;
      }
    }
    &-timer {
      @include CardFooter;
      box-shadow: inset 0px 0px 20px -5px rgb(0, 161, 0);
      padding: $paddingMini $paddingDefault;
      flex: none;
      transition: box-shadow $transitionTime ease-in;
      .dot {
        position: absolute;
        left: 0px;
        top: 0px;
        transition: background-color $transitionTime ease-in;
        background-color: rgb(0, 161, 0);
        border-radius: 50%;
        width: 10px;
        height: 10px;
        &_animate {
          animation: dotAnimate 1s infinite;
        }
        &_wrapper {
          position: relative;
          background-color: rgb(7, 94, 7);
          border-radius: 50%;
          width: 10px;
          height: 10px;
          margin-left: $marginMini;
        }
      }
      &-coolDown {
        &-0 {
          box-shadow: inset 0px 0px 20px -5px #bc4440;
          .dot {
            background-color: #bc4440;
            &_wrapper {
              background-color: #6d2c2a;
            }
          }
        }
        &-50 {
          box-shadow: inset 0px 0px 20px -5px #bc8943;
          .dot {
            background-color: #bc8943;
            &_wrapper {
              background-color: #65481B;
            }
          }
        }
      }
    }
    &-sound {
      width: 30px;
      text-align: center;
      margin: 0px $marginMini 0px $marginMini / 2;

    }
  }
  &_center {
    .btn {
      font-size: $header-font-size;
    }
    &-icon {
      max-width: 20px;
    }
    &-deposit {
      display: flex;
      align-items: center;
      justify-content: center;
      min-width: 120px;
      transition: color $transitionTime ease-in;
      &-demo {
        color: #f2a314;
      }
    }
  }
  &_left {
    flex: 1;
    & + div {
      flex: 1;
    }
    .logo {
      height: 20px;
    }
  }
  &_right {
    font-size: $header-font-size;
  }
}

.header_menu {
  &-lang {
    &-item {
      display: flex;
      flex-direction: column;
      align-items: center;
      margin: 0px $marginMini;
      span {
        font-size: 0.875rem;
        margin-top: $marginMini/2;
      }
    }
    &-img {
      max-height: 35px;
      transition: opacity $transitionTime ease-in;
      &:not(.active) {
        opacity: .4;
      }
    }
  }
  &-items {
    height: calc(100% - 42px - 42px - 12px);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-size: 1.125rem;
    ul {
      padding-left: 0px;
      width: 200px;
      li {
        list-style-type: none;
        text-align: center;
        padding: $paddingDefault 0px;
        &:not(:last-child) {
          border-bottom: 2px solid $header-menu-border-color;
        }
      }
    }
  }
}

.langDropdown {
  color: rgb(255, 255, 255);
  position: absolute;
  top: 10px;
  left: calc(50% - 14px - 5px);
  display: flex;
  font-size: .775rem;
  &_inner {
    height: 40px;
    overflow: hidden;
    transition: all $transitionTime ease-in;
    border-radius: 4px;
    &.show {
      height: 210px;
      box-shadow: 0px 0px 7px rgba(0, 0, 0, 0.4);
      background-color: #151e2e;
      & + .langDropdown_arrow {
        i {
          transform: rotate(-180deg);
        }
      }
      .langDropdown_item-label {
        height: 15px;
        &:first-letter {
          text-transform: uppercase;
        }
      }
    }
  }
  &_item {
    padding: $paddingMini / 2;
    &-img {
      max-width: 28px;
    }
    &-label {
      transition: height $transitionTime ease-in;
      text-align: center;
      height: 0px;
      overflow: hidden;
    }
  }
  &_arrow {
    position: relative;
    top: 12px;
    padding-left: 5px;
    i {
      transition: transform $transitionTime ease-in;
    }
  }
}

@keyframes dotAnimate {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
